var
	i: longint;


begin
	writeln(1);
	writeln('100000 1');
	writeln('-1 1');
	for i := 1 to 100000 do begin
		write('1 ');
		write(' ');
	end;
	for i := 1 to 100000 do begin
		write('-1 ');
		if (i < 100000) then
			write(' ');
	end;
	writeln;
end.